From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/fsspec/
Date: Tue, 6 Apr 2021 07:22:47 +0000 (UTC) [thread overview]
Message-ID: <1617693758.b589ece74a63e9436def8267edc1f9ac23d9d5c0.mgorny@gentoo> (raw)
commit: b589ece74a63e9436def8267edc1f9ac23d9d5c0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 6 06:53:32 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr 6 07:22:38 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b589ece7
dev-python/fsspec: Bump to 0.9.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/fsspec/Manifest | 1 +
dev-python/fsspec/fsspec-0.9.0.ebuild | 48 +++++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 756acefdbcb..300c1f5d450 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1,2 +1,3 @@
DIST filesystem_spec-0.8.5.tar.gz 255904 BLAKE2B df400276dbc53a453e9e9a00acb2e93a86a5f239237533bab036a16bd48d6d709f68241febe75f6f72281162ba4a563a087405a1064e18805ce2501095d778fb SHA512 20001fd02348f15e764a9e20eab98267f6746bd7e86187914d3db3098061aa62cb296595c3519696ae1e99ef896d49df0fcec846aaf6e5c281dd1a344ef6c393
DIST filesystem_spec-0.8.7.tar.gz 277744 BLAKE2B 4957b716d622ecd2a1bb381b291253970682dde2c90a0e8dd76dfcc3ce3c9ba55846d97df8c1fcedd4e0d5af1c10eccc6c94418f2e78e9fffde846d12c11e170 SHA512 6eb89bf1e19ac1313aad2217aaaf4686f2e2e831a2cd339f9e12b8319fb080b82f0b90b10af53c2e6febd98a34ae8520444fee3c6394e7ab5fd5ca68d56e5454
+DIST filesystem_spec-0.9.0.tar.gz 286641 BLAKE2B 70603c14d955640251f0922afaf7fa7cd3739c827218cb708fac27883b671e059ef17eb02b4d482904278855d06958e2159b49e232c558f78befd925472bca6f SHA512 68235dc592a7c7e85e5aab1b4409825f9c0a15c6841f96f54cef66c1b6ef166e930b910bd140bbaeb818f2f1f3dfc9a5752f3c479a97b6c5ce8e7d7ea98721af
diff --git a/dev-python/fsspec/fsspec-0.9.0.ebuild b/dev-python/fsspec/fsspec-0.9.0.ebuild
new file mode 100644
index 00000000000..b0dedf55ecb
--- /dev/null
+++ b/dev-python/fsspec/fsspec-0.9.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="https://github.com/intake/filesystem_spec/
+ https://pypi.org/project/fsspec/"
+SRC_URI="
+ https://github.com/intake/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ # sftp and smb require server started via docker
+ pytest -vv \
+ --deselect fsspec/tests/test_spec.py::test_find \
+ --ignore fsspec/implementations/tests/test_dbfs.py \
+ --ignore fsspec/implementations/tests/test_sftp.py \
+ --ignore fsspec/implementations/tests/test_smb.py ||
+ die "Tests failed with ${EPYTHON}"
+}
next reply other threads:[~2021-04-06 7:22 UTC|newest]
Thread overview: 143+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-04-06 7:22 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-01 7:15 [gentoo-commits] repo/gentoo:master commit in: dev-python/fsspec/ Michał Górny
2025-03-31 7:10 Michał Górny
2025-03-22 11:41 Michał Górny
2025-03-22 11:28 Arthur Zamarin
2025-03-08 7:24 Michał Górny
2025-02-22 9:20 Michał Górny
2025-02-22 8:47 Arthur Zamarin
2025-02-02 3:22 Michał Górny
2025-01-04 15:00 Michał Górny
2025-01-04 13:28 Sam James
2024-12-20 8:23 Michał Górny
2024-11-09 10:20 Arthur Zamarin
2024-10-21 4:35 Michał Górny
2024-10-19 8:44 Michał Górny
2024-10-19 8:20 Arthur Zamarin
2024-07-13 12:02 Michał Górny
2024-07-13 10:00 Arthur Zamarin
2024-06-27 20:24 Arthur Zamarin
2024-06-27 20:24 Arthur Zamarin
2024-06-27 19:09 Michał Górny
2024-06-18 18:45 Michał Górny
2024-06-18 18:12 Arthur Zamarin
2024-06-04 5:41 Michał Górny
2024-06-01 8:09 Michał Górny
2024-06-01 7:39 Arthur Zamarin
2024-05-16 3:42 Michał Górny
2024-04-06 12:37 Michał Górny
2024-04-06 10:12 Arthur Zamarin
2024-03-19 7:20 Michał Górny
2024-03-16 6:54 Michał Górny
2024-02-20 9:09 Michał Górny
2024-02-20 7:55 Sam James
2024-02-05 14:34 Michał Górny
2024-02-05 3:52 Michał Górny
2023-12-30 14:40 Michał Górny
2023-12-30 14:26 Arthur Zamarin
2023-12-25 9:30 Alfredo Tupone
2023-12-20 15:56 Michał Górny
2023-12-20 15:51 Michał Górny
2023-12-12 6:32 Michał Górny
2023-12-06 6:51 Michał Górny
2023-12-03 4:20 Michał Górny
2023-11-24 14:46 Michał Górny
2023-11-23 16:08 Michał Górny
2023-11-23 16:08 Michał Górny
2023-10-22 6:55 Michał Górny
2023-10-06 15:08 Michał Górny
2023-10-06 14:55 Sam James
2023-09-23 5:59 Michał Górny
2023-09-16 3:03 Michał Górny
2023-09-02 14:13 Michał Górny
2023-09-02 14:11 Michał Górny
2023-07-24 11:09 Michał Górny
2023-06-10 4:40 Michał Górny
2023-05-13 16:06 Michał Górny
2023-05-13 11:35 Arthur Zamarin
2023-05-08 4:31 Michał Górny
2023-04-09 6:08 Michał Górny
2023-04-05 8:21 Michał Górny
2023-04-05 7:49 Arthur Zamarin
2023-03-05 3:56 Michał Górny
2023-02-21 8:00 Michał Górny
2023-02-20 21:58 Arthur Zamarin
2023-01-20 4:50 Michał Górny
2022-12-17 7:15 Michał Górny
2022-11-25 20:33 Arthur Zamarin
2022-11-25 19:11 Sam James
2022-11-11 6:41 Arthur Zamarin
2022-10-21 7:48 Michał Górny
2022-10-05 19:23 Michał Górny
2022-10-05 11:35 Sam James
2022-10-03 6:50 Michał Górny
2022-09-03 8:12 Arthur Zamarin
2022-09-01 19:42 Arthur Zamarin
2022-08-31 18:07 Arthur Zamarin
2022-08-31 9:21 Michał Górny
2022-08-30 19:01 Michał Górny
2022-08-30 17:09 Jakov Smolić
2022-07-29 10:12 Arthur Zamarin
2022-06-17 12:44 Michał Górny
2022-06-17 11:48 Jakov Smolić
2022-06-11 6:45 Michał Górny
2022-06-11 6:45 Michał Górny
2022-05-30 7:22 Michał Górny
2022-05-20 11:12 Michał Górny
2022-05-20 8:29 Michał Górny
2022-05-06 13:30 Michał Górny
2022-05-06 12:45 Jakov Smolić
2022-03-27 8:17 Michał Górny
2022-03-27 6:27 Agostino Sarubbo
2022-02-23 17:04 Michał Górny
2022-02-23 8:12 Michał Górny
2022-02-17 21:52 Michał Górny
2022-02-17 21:21 Arthur Zamarin
2022-01-28 18:41 Arthur Zamarin
2022-01-12 8:36 Michał Górny
2021-12-10 17:12 Arthur Zamarin
2021-12-10 12:11 Jakov Smolić
2021-11-27 7:19 Michał Górny
2021-11-06 10:59 Michał Górny
2021-10-31 20:26 Michał Górny
2021-10-15 21:07 Michał Górny
2021-10-10 16:18 Michał Górny
2021-10-02 7:50 Michał Górny
2021-09-24 6:33 Michał Górny
2021-09-03 14:41 Arthur Zamarin
2021-09-01 4:55 Michał Górny
2021-08-16 5:13 Agostino Sarubbo
2021-07-28 9:08 Michał Górny
2021-07-28 6:42 Agostino Sarubbo
2021-07-15 18:12 Michał Górny
2021-06-15 8:33 Michał Górny
2021-06-15 7:07 Agostino Sarubbo
2021-05-15 8:39 Michał Górny
2021-05-09 9:15 Agostino Sarubbo
2021-04-29 7:28 Michał Górny
2021-04-17 6:22 Michał Górny
2021-02-23 18:43 Michał Górny
2021-01-20 8:54 Michał Górny
2021-01-20 7:41 Agostino Sarubbo
2020-12-16 10:40 Michał Górny
2020-12-06 18:33 Sam James
2020-12-06 18:32 Sam James
2020-10-18 19:17 Sam James
2020-10-18 18:51 Thomas Deutschmann
2020-10-04 17:56 Sam James
2020-10-04 17:55 Sam James
2020-10-04 17:41 Sam James
2020-09-18 15:19 Michał Górny
2020-09-18 15:19 Michał Górny
2020-09-18 14:48 Michał Górny
2020-09-10 22:03 Michał Górny
2020-09-09 22:16 Michał Górny
2020-09-08 19:11 Michał Górny
2020-08-18 5:52 Sam James
2020-08-18 5:28 Sam James
2020-08-07 19:19 Sam James
2020-08-01 10:09 Michał Górny
2020-07-07 15:36 Michał Górny
2020-07-07 6:35 Michał Górny
2020-07-06 14:13 Michał Górny
2020-06-14 12:04 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1617693758.b589ece74a63e9436def8267edc1f9ac23d9d5c0.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox